# [PA165] Enterprise Applications in Java
Project for the PA165 subject at FI MUNI in the spring semester 2023.

**Topic:** Winery Management System

## Team β
- Matej Meško
- Jana Treláková
- Vugar Mammadov


## Assignment 

Create an information system that will allow a person to manage its own winery in a better way.  The main user role can manage the yearly wine harvest, annotating the quality, quantity of different types of grapes. Then he will manage the wines that can be produced depending on the type of grapes available and other ingredients. The user can also manage the list of wine bottles sold and stocked and available to buyers. Buyers can consult the system to buy quantities of wine bottles, also leaving feedback about the quality of the wine they have bought.



## How to contribute
1. Pull this repository from gitlab
    -  `git clone git@gitlab.fi.muni.cz:xmesko/pa165-winery-management-system-2023.git`
2. Create a new branch
    -  `git checkout -b new-banch-name`
3. Make changes and push them to your branch
4. Create a merge request to `main` branch
    - tag another team member for review 
5. Merge changes to  `main`  branch after approval


## How to run

```bash
mvn clean install
mvn spring-boot:run
```


## Diagrams
### Use case diagram

![Use case diagram](diagrams/useCaseDiagram.svg)

### Class diagrams

![Class diagram](diagrams/classDiagram.svg)