package cz.fi.muni.internalHarvesting;

import cz.fi.muni.harvesting.model.Field;
import cz.fi.muni.harvesting.model.RawGrape;
import org.springframework.stereotype.Component;

import java.time.LocalDate;
import java.util.UUID;

@Component
public class FieldInternal {
    /**
     * The field can be harvested by the manager.
     * This creates a new instance of Raw Grape.
     * Newly created Raw grape has identical Variety,
     * and its amount is equal to the expected harvest size of given field.
     *
     * @param uuid identifier of the field to be harvested
     * @return newRawGrapeUUID of the newly created RawGrape
     */

    public static UUID harvestField(UUID uuid){
        // Retrieve Field from DB
        Field field = new Field();
        field.setVariety("Pálava");
        field.setHarvestSize(200);
        field.setHarvestDate(LocalDate.parse("2023-08-08"));

        // Create new Raw Grape
        UUID newRawGrapeUUID = UUID.randomUUID();
        RawGrape rawGrape = new RawGrape();
        rawGrape.setVariety(field.getVariety());
        rawGrape.setAmount(field.getHarvestSize());
        // Add Raw Grape to DB

        // Modify Field Harvest Date in DB (+ 1 year)
        return newRawGrapeUUID;
    }
}
