package cz.fi.muni;

import cz.fi.muni.inventory.api.StockWineApiDelegate;
import cz.fi.muni.inventory.model.EditStockWine;
import cz.fi.muni.inventory.model.StockWine;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

@Component
public class StockWineController implements StockWineApiDelegate {
    private static final Logger log = LoggerFactory.getLogger(StockWineController.class);

    @Override
    public ResponseEntity<Void> editStockWine(String id, EditStockWine editStockWine) {
        if (id == null || editStockWine == null) {
            log.debug("Edit was not successful. ID: " + id + " Params: " + editStockWine);
            return new ResponseEntity<>(HttpStatus.BAD_REQUEST);
        }
        // retrieve stock info for id from db and update it
        return new ResponseEntity<>(HttpStatus.OK);
    }

    @Override
    public ResponseEntity<List<StockWine>> getAllStockWines() {
        // retrieve all stock wines from DB
        List<StockWine> wines = new ArrayList<>();
        StockWine wine = new StockWine();
        wine.setBottlesSold(12);
        wines.add(wine);
        return new ResponseEntity<>(wines, HttpStatus.OK);
    }

    @Override
    public ResponseEntity<StockWine> getStockInfo(String id) {
        if (id == null) {
            log.info("Provided wine identifier is null.");
            return new ResponseEntity<>(null, HttpStatus.NOT_FOUND);
        }
        // retrieve wine by ID from DB
        StockWine wine = new StockWine();
        wine.setBottlesAvailable(12);

        return new ResponseEntity<>(wine, HttpStatus.OK);
    }
}
