package cz.fi.muni.internalManagement;

import cz.fi.muni.inventory.model.StockWine;
import org.springframework.stereotype.Component;

import java.util.UUID;

@Component
public class StockWineInternal {

    /**
     * The stock wine is created when manager wants
     * to create a new wine variety. Then the stock information
     * for specific wine should be created.
     *
     * @param uuid identifier of the newly created wine variety
     * @return true when the stock wine is created, false otherwise
     */
    public static boolean createStockWine(UUID uuid) {
        StockWine wine = new StockWine();
        wine.setId(uuid.toString());
        wine.setBottlesAvailable(0);
        wine.setBottlesSold(0);
        wine.setPrice(0f);
        wine.setProfit(0f);
        // put to DB
        return true;
    }

    /**
     * If the wine variety will be deleted from the shop,
     * the stock information have to be deleted.
     * If there are bottles in the inventory, the wine
     * will not be deleted.
     *
     * @param uuid identifier of wine variety to be deleted
     * @return true when the stock wine is deleted, false otherwise
     * */
    public static boolean deleteStockWine(UUID uuid) {
        // look for id, if not found return false
        // if problem occurs, return false
        return true;
    }
}
